<?php
//session handling information please!
include("../misc/agenda.php");
include("../misc/aux.php");
include("../primitives/atom.php");
include("../primitives/fact.php");
include("../primitives/variable.php");
include("../primitives/rule.php");
include("../primitives/match.php");
include("../knowledgeBase.php");
include("../parser.php");
include("../jtms/jtms.php");
include("../jtms/jtmsNode.php");
//session handling information please!
session_start();
header("Cache-control: private"); //IE 6 fix

if(isset($_GET["back"]) && $_GET["back"] == "true"){
	$_SESSION["history"] = array_slice($_SESSION["history"], 0, count($_SESSION["history"]) - 1);
	$_SESSION["agenda"]->enqueue($_ENV['HTTP_REFERER']);
}


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>ERA2: Assessing Relevance</TITLE>
<META NAME="Generator" CONTENT="EditPlus">
<META NAME="Author" CONTENT="D Crighton">
<META NAME="Keywords" CONTENT="">
<META NAME="Description" CONTENT="">
<link rel="stylesheet" href="style.css" type="text/css"> 
<script language="javascript"  type="text/javascript">
var http = getHTTPObject(); // We create the HTTP Object
var isWorking = false;
var originalityHandler = "originalityHandler.php?index=" + Math.random() + "&originalityOn="; 

function populate(){
	var paperOriginalityIndex = <? if(isset($_SESSION["PaperOriginality"])){ echo($_SESSION["PaperOriginality"]); } else {echo("0"); } ?>;
	document.getElementById('originality').options[paperOriginalityIndex].selected = true;
	var optionValue = document.getElementById('originality').selectedIndex;
  	if(optionValue == 5){
  		http.open("GET", originalityHandler + escape(true), false);
  		http.send(null)
  		results = http.responseText;
  		document.getElementById('originalityDetail').innerHTML = results;
  	}	
  	var PPIndex =  <? if(isset($_SESSION["PreviouslyPublished"])){ echo($_SESSION["PreviouslyPublished"]); } else {echo("0"); } ?>;
  	var PSIndex =  <? if(isset($_SESSION["PreviousSimilar"])){ echo($_SESSION["PreviousSimilar"]); } else {echo("0"); } ?>;
  	var OSIndex =  <? if(isset($_SESSION["OriginalitySystems"])){ echo($_SESSION["OriginalitySystems"]); } else {echo("0"); } ?>;
  	var OPIndex =  <? if(isset($_SESSION["OriginalityProblem"])){ echo($_SESSION["OriginalityProblem"]); } else {echo("0"); } ?>;
  	if(document.getElementById("previouslyPublished")){
		document.getElementById("previouslyPublished").options[PPIndex].selected = true;
	}
	if(document.getElementById("previousSimilar")){
		document.getElementById("previousSimilar").options[PSIndex].selected = true;
	}
	if(document.getElementById("originalitySystems")){
		document.getElementById("originalitySystems").options[OSIndex].selected = true;
	}
	if(document.getElementById("originalityProblem")){
		document.getElementById("originalityProblem").options[OPIndex].selected = true;
	}
}

function checkOriginality() {
  		var optionValue = document.getElementById('originality').selectedIndex;
  		if(optionValue == 5){
  		http.open("GET", originalityHandler + escape(true), true);
  		}
  		else{
  		http.open("GET", originalityHandler + escape(false), true);
  		}
  		http.onreadystatechange = handleOriginalityHttpResponse;
  		isWorking=true;
  		http.send(null);
}


function handleOriginalityHttpResponse() {
  if (http.readyState == 4) {
  	if (http.responseText.indexOf('invalid') == -1) {

    // Split the comma delimited response into an array
    results = http.responseText;
    document.getElementById('originalityDetail').innerHTML = results;
    isWorking = false;
  	}
  }
}

function getHTTPObject() {
  var xmlhttp;
  /*@cc_on
  @if (@_jscript_version >= 5)
    try {
      xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
    } catch (e) {
      try {
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
      } catch (E) {
        xmlhttp = false;
      }
    }
  @else
  xmlhttp = false;
  @end @*/
  if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
    try {
      xmlhttp = new XMLHttpRequest();
    } catch (e) {
      xmlhttp = false;
    }
  }
  return xmlhttp;
}
</script>
</HEAD>

<BODY onLoad="populate()">
<div id = "header">
<img src = "./images/logo.gif"/>
</div>

<div id="wrapper">

	<div id = "container">
		<div id = "content">
			<br><br>
			This section helps you to assess the originality of this paper. If you are
			not sure exactly how original the paper is then select the "I am not sure" option in answer to the penultimate question and you will be asked a series of questions
			which will help you decide the relevence of this paper. Please complete all appropriate sections. 
			
			<form id = "originalityForm" name="originalityForm" action = "originalityPageHandler.php" method = "POST">
			<br><br><b>How original is this paper?</b><br>
			<select id = "originality" name = "originality" onChange="checkOriginality()">
			<option value = "0"></option>
			<option value = "1">Trailblazing</option>
			<option value = "2">One step ahead of the pack</option>
			<option value = "3">Yet anothother paper about...</option>
			<option value = "4">Its all been said many times before</option>
			<option value = "5">I am not sure</option>
			</select>
			
			<div id = "originalityDetail"></div>
			
			<br><br><b>Please motivate your choice(s)</b><br>
			<textarea rows = "4" cols = "60" id = "originalityMotivation" name = "originalityMotivation"><?
			if(isset($_SESSION["OriginalityMotivation"])){
				echo($_SESSION["OriginalityMotivation"]);
			}
			?></textarea>
			<br><Br><input type="submit" value="submit"/>
			
			</form>
	
			<div align="right">
			<?
			if(isset($_SESSION["history"])){
			$link = $_SESSION["history"][count($_SESSION["history"]) - 1];
			$temp = parse_url($link);
			$query = $temp["query"];
			if($query == ""){
				$link = $link . "?back=true";	
			}
			else{
				$link = $link . "&back=true";	
			}
			echo("<a href = \"");
			echo($link);
			echo("\">Back</a>");	
			}
			?>
			</div>
	</div>
</div>

	<div id = "sidebar">
		<b>Menu</b>
		<br><br><a href = "destroy.php">Destroy Session</a><br><br>
		Jump to Section<br><br>
		<?
			if($_SESSION["seen"]["getInfo.php"] == "true") { echo("<br><a href = \"getInfo.php?sidebar=true\">Initial Information</a>"); }
			if($_SESSION["seen"]["summary.php"] == "true") { echo("<br><a href = \"summary.php?sidebar=true\">Summary</a>"); }
			if($_SESSION["seen"]["technique.php"] == "true") {
				if(isset($_SESISON["Technique"]) && $_SESSION["Technique"] == "yes" && $_SESSION["seen"]["technique.php"] == "true"){
					for($x = 1; $x < $_SESSION["TechniqueQuantity"] + 1; $x++){
						$string = "<br><a href = \"summary.php?sidebar=true&TechniqueNumber=";
						$string .= $x;
						$string .= "\">Technique ";
						$string .= $x;
						$string .= "</a>";
						echo($string);
					}	
				}	
			}
			if($_SESSION["seen"]["relevance.php"] == "true") { echo("<br><a href = \"relevance.php?sidebar=true\">Relevance</a>"); }
			if($_SESSION["seen"]["originality.php"] == "true") { echo("<br><a href = \"originality.php?sidebar=true\">Originality</a>"); }
			if($_SESSION["seen"]["validity.php"] == "true") { echo("<br><a href = \"validity.php?sidebar=true\">Validity</a>"); }
			if($_SESSION["seen"]["presentation.php"] == "true") { echo("<br><a href = \"presentation.php?sidebar=true\">Presentation</a>"); }
		?>
	</div>
	<div class="clearing">&nbsp;</div>
	</div>
</div>

	<div id = "footer">
	<a href = "mailto:crighton@gmail.com">Dave Crighton</a>: MSc Student<br>
	<a href = "http://www.inf.ed.ac.uk">School of Informatics</a><br>
	University of Edinburgh<br>
	</div>


</BODY>
</HTML>
