<?php
//session handling information please!
include("../misc/agenda.php");
include("../misc/aux.php");
include("../primitives/atom.php");
include("../primitives/fact.php");
include("../primitives/variable.php");
include("../primitives/rule.php");
include("../primitives/match.php");
include("../knowledgeBase.php");
include("../parser.php");
include("../jtms/jtms.php");
include("../jtms/jtmsNode.php");

session_start();
header("Cache-control: private"); //IE 6 fix

$_SESSION["agenda"]->pop();

$_SESSION["seen"]["validity.php"] = true;

clearSessionVariables();
handleGeneral();

$_SESSION["history"][] = "validity.php";
$url = $_SESSION["agenda"]->peek();
//$url = "validity.php";
echo("<meta http-equiv=\"refresh\" content=\"0;url=$url\">");

function clearSessionVariables(){
	if(isset($_SESSION["facts"]["validityPageHandler.php"])){
		foreach($_SESSION["facts"]["validityPageHandler.php"] as $fact){
			$_SESSION["kb"]->retract_fact($fact);
		}
	}
	for($x = 1; $x < 11; $x++){
		$string2 = "EvalEvidenceTechnique";
		unset($_SESSION[$string2][$x]);
		$string2 = "EvalSoundTechnique";
		unset($_SESSION[$string2][$x]);
		$string2 = "EvalProbTechnique";
		unset($_SESSION[$string2][$x]);
	}
	
		unset($_SESSION["SystemUserEval"]);
		unset($_SESSION["SystemSoundEval"]);
		unset($_SESSION["SystemGoodEval"]);
		unset($_SESSION["InformalArguments"]);
		unset($_SESSION["Terminology"]);
		unset($_SESSION["UnjustifiedAssertions"]);
		unset($_SESSION["Algorithms"] );
		unset($_SESSION["Examples"]);
		unset($_SESSION["Maths"]);
		unset($_SESSION["ExperimantalJustifications"]);
	
	
}
	
function handleGeneral(){
	
	for($x = 1; $x < 11; $x++){
		$string = "evalEvidenceTechnique" . $x;
		$string2 = "EvalEvidenceTechnique";
		if($_POST[$string] == -1){
			$_SESSION[$string2][$x] = 0;
		}
		else{
			$_SESSION[$string2][$x] = $_POST[$string];
			if($_SESSION[$string2] == 1){
				$fact = new fact("techniqueEvidence", Array(new atom($x), new atom("good")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
			}
			elseif($_SESSION[$string2] == 2){
				$fact = new fact("techniqueEvidence", Array(new atom($x), new atom("average")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
			}
			elseif($_SESSION[$string2] == 3){
				$fact = new fact("techniqueEvidence", Array(new atom($x), new atom("poor")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
			}
		}
		$string = "evalSoundTechnique" . $x;
		$string2 = "EvalSoundTechnique";
		if($_POST[$string] == -1){
			$_SESSION[$string2][$x] = 0;
		}
		else{
			$_SESSION[$string2][$x] = $_POST[$string];
			if($_SESSION[$string2] == 1){
				$fact = new fact("techniqueSound", Array(new atom("good")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
			}
			elseif($_SESSION[$string2] == 2){
				$fact = new fact("techniqueSound", Array(new atom("average")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
			}
			elseif($_SESSION[$string2] == 3){
				$fact = new fact("techniqueSound", Array(new atom("poor")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
			}
		}
		$string = "evalProbTechnique" . $x;
		$string2 = "EvalProbTechnique";
		if($_POST[$string] == -1){
			$_SESSION[$string2][$x] = 0;
		}
		else{
			$_SESSION[$string2][$x] = $_POST[$string];
			if($_SESSION[$string2] == 1){
				$fact = new fact("techniqueSolvesProblem", Array(new atom("good")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
			}
			elseif($_SESSION[$string2] == 2){
				$fact = new fact("techniqueSolvesProblem", Array(new atom("average")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
			}
			elseif($_SESSION[$string2] == 3){
				$fact = new fact("techniqueSolvesProblem", Array(new atom("poor")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
			}
		}
	}
	if(isset($_POST["systemUserEval"])){
		$_SESSION["SystemUserEval"] = $_POST["systemUserEval"];
		if($_SESSION["SystemUserEval"] == 1){
			$fact = new fact("systemEvidence", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["SystemUserEval"] == 2){
			$fact = new fact("systemEvidence", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["SystemUserEval"] == 3){
			$fact = new fact("systemEvidence", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["systemSoundEval"])){
		$_SESSION["SystemSoundEval"] = $_POST["systemSoundEval"];
		if($_SESSION["SystemSoundEval"] == 1){
			$fact = new fact("systemSound", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["SystemSoundEval"] == 2){
			$fact = new fact("systemSound", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["SystemSoundEval"] == 3){
			$fact = new fact("systemSound", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["systemGoodEval"])){
		$_SESSION["SystemGoodEval"] = $_POST["systemGoodEval"];
		if($_SESSION["SystemGoodEval"] == 1){
			$fact = new fact("systemGood", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["SystemGoodEval"] == 2){
			$fact = new fact("systemGood", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["SystemGoodEval"] == 3){
			$fact = new fact("systemGood", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["informalArguments"])){
		$_SESSION["InformalArguments"] = $_POST["informalArguments"];
		if($_SESSION["InformalArguments"] == 1){
			$fact = new fact("informalArguments", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["InformalArguments"] == 2){
			$fact = new fact("informalArguments", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["InformalArguments"] == 3){
			$fact = new fact("informalArguments", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["terminology"])){
		$_SESSION["Terminology"] = $_POST["terminology"];
		if($_SESSION["Terminology"] == 1){
			$fact = new fact("terminology", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["terminology"] == 2){
			$fact = new fact("informalArguments", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["terminology"] == 3){
			$fact = new fact("informalArguments", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["unjustifiedAssertions"])){
		$_SESSION["UnjustifiedAssertions"] = $_POST["unjustifiedAssertions"];
		if($_SESSION["UnjustifiedAssertions"] == 1){
			$fact = new fact("unjustifiedAssertions", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["UnjustifiedAssertions"] == 2){
			$fact = new fact("unjustifiedAssertions", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["UnjustifiedAssertions"] == 3){
			$fact = new fact("unjustifiedAssertions", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["algorithms"])){
		$_SESSION["Algorithms"] = $_POST["algorithms"];
		if($_SESSION["Algorithms"] == 1){
			$fact = new fact("algorithms", Array(new atom("none")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Algorithms"] == 2){
			$fact = new fact("algorithms", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Algorithms"] == 3){
			$fact = new fact("algorithms", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Algorithms"] == 4){
			$fact = new fact("algorithms", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["examples"])){
		$_SESSION["Examples"] = $_POST["examples"];
		if($_SESSION["Examples"] == 1){
			$fact = new fact("examples", Array(new atom("none")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Examples"] == 2){
			$fact = new fact("examples", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Examples"] == 3){
			$fact = new fact("examples", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Examples"] == 4){
			$fact = new fact("examples", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["maths"])){
		$_SESSION["Maths"] = $_POST["maths"];
		if($_SESSION["Maths"] == 1){
			$fact = new fact("maths", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Maths"] == 2){
			$fact = new fact("maths", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Maths"] == 3){
			$fact = new fact("maths", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["experimantalJustifications"])){
		$_SESSION["ExperimantalJustifications"] = $_POST["experimantalJustifications"];
		if($_SESSION["ExperimantalJustifications"] == 1){
			$fact = new fact("experimantalJustifications", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["ExperimantalJustifications"] == 2){
			$fact = new fact("experimantalJustifications", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["ExperimantalJustifications"] == 3){
			$fact = new fact("experimantalJustifications", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["validityPageHandler.php"][] = $fact;	
		}
	}
	
}


?>