
%%useful functions
pprint([]).
pprint([H|T]):- write(H), write('\n'), pprint(T).
write_nodes:- findall(node(X,Y,Z), node(X,Y,Z), Bag), pprint(Bag).

%% flatten(+OldList, -NewList)
%% flatten, flattens a nested list into a straight list
%% Usage flatten(+OldList, -NewList)
flatten([],[]).
flatten([H|T],[H|U]):- \+list(H), flatten(T,U).
flatten([H|T],R):- flatten(H,A), flatten(T,B), merge(A,B,R).

inner_member(_,[]):- fail.
inner_member(X, [H|_]):- member(X,H).
inner_member(X, [_|T]):- inner_member(X, T).