%%JTMS prototype version1
%%Dave Crighton
%%This prototype uses a simplified architecture, sentence nodes are
%%represented by degenerate justification nodes, since this is a vanilla
%%jtms implementation only horn clauses are supported, the inference engine
%%is a simple modus ponens implementation

%%For a quick demonstration try the following predicatres
%%1. load_test_kb.  This will load the test sentences
%%2. inference.     This will perform inference and add any appropriate facts
%%3. write_nodes.   This will display the current nodes in the jtms network
%%4. retract_horn(horn([true], tweets(tweety)). This predicate removes the fact tweets(tweety) from the knowledge base
%%												this is a good one to use since it has 2 stage effects, the system will
%%												report on facts retracted due to the jtms.

%%Import appropriate files and declare dynamic predicates
:- use_module(library(lists)).
:-consult(['inference.pl']).
:-consult(['jtms.pl']).
:-consult(['misc.pl']).
:-consult(['data.pl']).
:- dynamic horn/2, node/3.







