<?php
//session handling information please!
include("../misc/agenda.php");
include("../misc/aux.php");
include("../primitives/atom.php");
include("../primitives/fact.php");
include("../primitives/variable.php");
include("../primitives/rule.php");
include("../primitives/match.php");
include("../knowledgeBase.php");
include("../parser.php");
include("../jtms/jtms.php");
include("../jtms/jtmsNode.php");
//session handling information please!
session_start();
header("Cache-control: private"); //IE 6 fix

if(isset($_GET["back"]) && $_GET["back"] == "true"){
	$_SESSION["history"] = array_slice($_SESSION["history"], 0, count($_SESSION["history"]) - 1);
	$_SESSION["agenda"]->enqueue($_ENV['HTTP_REFERER']);
}


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>ERA4: Assessing Presentation</TITLE>
<META NAME="Generator" CONTENT="EditPlus">
<META NAME="Author" CONTENT="D Crighton">
<META NAME="Keywords" CONTENT="">
<META NAME="Description" CONTENT="">
<link rel="stylesheet" href="style.css" type="text/css"> 
<script language="javascript"  type="text/javascript">
var http = getHTTPObject(); // We create the HTTP Object
var isWorking = false;
var organisationHandler = "presentationHandler.php?index=" + Math.random() + "&organisationOn="; 
var englishHandler = "presentationHandler.php?index=" + Math.random() + "&englishOn="; 
var readabilityHandler = "presentationHandler.php?index=" + Math.random() + "&readabilityOn="; 
var bibliographyHandler = "presentationHandler.php?index=" + Math.random() + "&bibliographyOn="; 
var organisationDetailHandler = "presentationHandler.php?index=" + Math.random() + "&organisationDetailOn="; 
var englishDetailHandler = "presentationHandler.php?index=" + Math.random() + "&englishDetailOn=";
var readDetailHandler = "presentationHandler.php?index=" + Math.random() + "&readDetailOn=";

function populate(){
	checkPresentation();
	checkOrganisation();
	checkEnglish()
	checkRead();
}

function checkPresentation() {
  		var optionValue = document.getElementById('presentation').selectedIndex;
  		if(optionValue == 5){
  		http.open("GET", organisationHandler + escape(true), false);
  		}
  		else{
  		http.open("GET", organisationHandler + escape(false), false);
  		}
  		http.send(null);
  		results = http.responseText;
	    document.getElementById('organisationForm').innerHTML = results;
  		
	    if(optionValue == 5){
  		http.open("GET", englishHandler + escape(true), false);
  		}
  		else{
  		http.open("GET", englishHandler + escape(false), false);
  		}
  		http.send(null);
  		results = http.responseText;
    	document.getElementById('englishForm').innerHTML = results;
    	
    	if(optionValue == 5){
  		http.open("GET", readabilityHandler + escape(true), false);
  		}
  		else{
  		http.open("GET", readabilityHandler + escape(false), false);
  		}
  		http.send(null);
  		results = http.responseText;
    	document.getElementById('readabilityForm').innerHTML = results;
    	
    	if(optionValue == 5){
  		http.open("GET", bibliographyHandler + escape(true), false);
  		}
  		else{
  		http.open("GET", bibliographyHandler + escape(false), false);
  		}
  		http.send(null);
  		results = http.responseText;
    	document.getElementById('bibliographyForm').innerHTML = results;
}

function checkOrganisation() {
  		var optionValue = document.getElementById('organised').selectedIndex;
  		if(optionValue == 5){
  		http.open("GET", organisationDetailHandler + escape(true), false);
  		}
  		else{
  		http.open("GET", organisationDetailHandler + escape(false), false);
  		}
  		http.send(null);
  		results = http.responseText;
    	document.getElementById('organisationDetail').innerHTML = results;
}

function checkEnglish() {
  		var optionValue = document.getElementById('english').selectedIndex;
  		if(optionValue == 5){
  		http.open("GET", englishDetailHandler + escape(true), false);
  		}
  		else{
  		http.open("GET", englishDetailHandler + escape(false), false);
  		}
  		http.send(null);
  		results = http.responseText;
    	document.getElementById('englishDetail').innerHTML = results;
}

function checkRead() {
  		var optionValue = document.getElementById('readability').selectedIndex;
  		if(optionValue == 5){
  		http.open("GET", readDetailHandler + escape(true), false);
  		}
  		else{
  		http.open("GET", readDetailHandler + escape(false), false);
  		}
  		http.send(null);
  		results = http.responseText;
    	document.getElementById('readabilityDetail').innerHTML = results;
}



function getHTTPObject() {
  var xmlhttp;
  /*@cc_on
  @if (@_jscript_version >= 5)
    try {
      xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
    } catch (e) {
      try {
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
      } catch (E) {
        xmlhttp = false;
      }
    }
  @else
  xmlhttp = false;
  @end @*/
  if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
    try {
      xmlhttp = new XMLHttpRequest();
    } catch (e) {
      xmlhttp = false;
    }
  }
  return xmlhttp;
}
</script>
</HEAD>

<BODY onLoad="populate()">
<div id = "header">
<img src = "./images/logo.gif"/>
</div>

<div id="wrapper">

	<div id = "container">
		<div id = "content">
			<br><br>
			This section helps you assess the presentation of this paper. If you are don't know then please select the "I'm not sure" option for
			additional guidance. Please complete all appropriate questions.
		
			<form id = "overallPresentation" name="overallPresentation" action = "presentationPageHandler.php" method = "POST">
			<br><br><b>How well presented is this paper?</b><br>
			<select id = "presentation" name = "presentation" onChange="checkPresentation()">
			<option value = "0"></option>
			<option value = "1" <? if(isset($_SESSION["Presentation"]) && $_SESSION["Presentation"] == 1) { echo("SELECTED"); } ?> >Excellent</option>
			<option value = "2" <? if(isset($_SESSION["Presentation"]) && $_SESSION["Presentation"] == 2) { echo("SELECTED"); } ?> >Good</option>
			<option value = "3" <? if(isset($_SESSION["Presentation"]) && $_SESSION["Presentation"] == 3) { echo("SELECTED"); } ?> >Average</option>
			<option value = "4" <? if(isset($_SESSION["Presentation"]) && $_SESSION["Presentation"] == 4) { echo("SELECTED"); } ?> >Poor</option>
			<option value = "5" <? if(isset($_SESSION["Presentation"]) && $_SESSION["Presentation"] == 5) { echo("SELECTED"); } ?> >I'm not sure</option>
			</select>
			
			<div id = "organisationForm"></div>
			<div id = "organisationDetail"></div>
			<div id = "englishForm"></div>
			<div id = "englishDetail"></div>
			<div id = "readabilityForm"></div>
			<div id = "readabilityDetail"></div>
			<div id = "bibliographyForm"></div>
			
			<br><br><b>Please justify your responses</b><br>
			<textarea rows = "4" cols = "60" id = "presentationJustification" name = "presentationJustification"><?
			if(isset($_SESSION["PresentationJustification"])){
				echo($_SESSION["PresentationJustification"]);	
			}
			?></textarea>
			<br><Br><input type="submit" value="submit"/>
			
			</form>
	
			<div align="right">
			<?
			if(isset($_SESSION["history"])){
			$link = $_SESSION["history"][count($_SESSION["history"]) - 1];
			$temp = parse_url($link);
			$query = $temp["query"];
			if($query == ""){
				$link = $link . "?back=true";	
			}
			else{
				$link = $link . "&back=true";	
			}
			echo("<a href = \"");
			echo($link);
			echo("\">Back</a>");	
			}
			?>
			</div>
	</div>
</div>

	<div id = "sidebar">
		<b>Menu</b>
		<br><br><a href = "destroy.php">Destroy Session</a><br><br>
		Jump to Section<br><br>
		<?
			if($_SESSION["seen"]["getInfo.php"] == "true") { echo("<br><a href = \"getInfo.php?sidebar=true\">Initial Information</a>"); }
			if($_SESSION["seen"]["summary.php"] == "true") { echo("<br><a href = \"summary.php?sidebar=true\">Summary</a>"); }
			if($_SESSION["seen"]["technique.php"] == "true") {
				if(isset($_SESISON["Technique"]) && $_SESSION["Technique"] == "yes" && $_SESSION["seen"]["technique.php"] == "true"){
					for($x = 1; $x < $_SESSION["TechniqueQuantity"] + 1; $x++){
						$string = "<br><a href = \"summary.php?sidebar=true&TechniqueNumber=";
						$string .= $x;
						$string .= "\">Technique ";
						$string .= $x;
						$string .= "</a>";
						echo($string);
					}	
				}	
			}
			if($_SESSION["seen"]["relevance.php"] == "true") { echo("<br><a href = \"relevance.php?sidebar=true\">Relevance</a>"); }
			if($_SESSION["seen"]["originality.php"] == "true") { echo("<br><a href = \"originality.php?sidebar=true\">Originality</a>"); }
			if($_SESSION["seen"]["validity.php"] == "true") { echo("<br><a href = \"validity.php?sidebar=true\">Validity</a>"); }
			if($_SESSION["seen"]["presentation.php"] == "true") { echo("<br><a href = \"presentation.php?sidebar=true\">Presentation</a>"); }
		?>
	</div>
	<div class="clearing">&nbsp;</div>
	</div>
</div>

	<div id = "footer">
	<a href = "mailto:crighton@gmail.com">Dave Crighton</a>: MSc Student<br>
	<a href = "http://www.inf.ed.ac.uk">School of Informatics</a><br>
	University of Edinburgh<br>
	</div>


</BODY>
</HTML>
