<?php
//session handling information please!
include("../misc/agenda.php");
include("../misc/aux.php");
include("../primitives/atom.php");
include("../primitives/fact.php");
include("../primitives/variable.php");
include("../primitives/rule.php");
include("../primitives/match.php");
include("../knowledgeBase.php");
include("../parser.php");
include("../jtms/jtms.php");
include("../jtms/jtmsNode.php");

session_start();
header("Cache-control: private"); //IE 6 fix

$_SESSION["agenda"]->pop();

$seen["presentation.php"] = true;

clearSessionVariables();
handleGeneral();

//echo("<pre>");
//print_r($_SESSION["kb"]);
//echo("</pre>");

$_SESSION["history"][] = "validity.php";
//$url = $_SESSION["agenda"]->peek();
$url = "testinference.php";
echo("<meta http-equiv=\"refresh\" content=\"0;url=$url\">");

function clearSessionVariables(){
	if(isset($_SESSION["facts"]["presentationPageHandler.php"])){
		foreach($_SESSION["facts"]["presentationPageHandler.php"] as $fact){
			$_SESSION["kb"]->retract_fact($fact);
		}
	}
	unset($_SESSION["Presentation"]);
	unset($_SESSION["PresentationJustification"]);
	unset($_SESSION["Organised"]);
	unset($_SESSION["English"]);
	unset($_SESSION["Readability"]);
	unset($_SESSION["Bibliography"]);
	for($x = 1; $x < 10; $x++){
		$string2 = "Org" . $x;
		unset($_SESSION[$string2]);	
	}		
	for($x = 1; $x < 4; $x++){
		$string2 = "Eng" . $x;
		unset($_SESSION[$string2]);	
	}
	for($x = 1; $x < 5; $x++){
		$string2 = "Read" . $x;
		unset($_SESSION[$string2]);	
	}
}

function handleGeneral(){
	if(isset($_POST["presentation"])){
		$_SESSION["Presentation"] = $_POST["presentation"];
		if($_SESSION["Presentation"] == 1){
			$fact = new fact("presentation", Array(new atom("excellent")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Presentation"] == 2){
			$fact = new fact("presentation", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Presentation"] == 3){
			$fact = new fact("presentation", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Presentation"] == 4){
			$fact = new fact("presentation", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["presentationJustification"])){
		$_SESSION["PresentationJustification"] = $_POST["presentationJustification"];
	}
	if(isset($_POST["organised"])){
		$_SESSION["Organised"] = $_POST["organised"];
		if($_SESSION["Organised"] == 1){
			$fact = new fact("organised", Array(new atom("excellent")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Organised"] == 2){
			$fact = new fact("organised", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Organised"] == 3){
			$fact = new fact("organised", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Organised"] == 4){
			$fact = new fact("organised", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["english"])){
		$_SESSION["English"] = $_POST["english"];
		if($_SESSION["English"] == 1){
			$fact = new fact("english", Array(new atom("excellent")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["English"] == 2){
			$fact = new fact("english", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["English"] == 3){
			$fact = new fact("english", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["english"] == 4){
			$fact = new fact("english", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["readability"])){
		$_SESSION["Readability"] = $_POST["readability"];
		if($_SESSION["Readability"] == 1){
			$fact = new fact("readability", Array(new atom("excellent")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Readability"] == 2){
			$fact = new fact("readability", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Readability"] == 3){
			$fact = new fact("readability", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Readability"] == 4){
			$fact = new fact("readability", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
	}
	if(isset($_POST["bibliography"])){
		$_SESSION["Bibliography"] = $_POST["bibliography"];
		if($_SESSION["Bibliography"] == 1){
			$fact = new fact("bibliography", Array(new atom("excellent")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Bibliography"] == 2){
			$fact = new fact("bibliography", Array(new atom("good")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["Bibliography"] == 3){
			$fact = new fact("bibliography", Array(new atom("average")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["bibliography"] == 4){
			$fact = new fact("readability", Array(new atom("poor")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
		elseif($_SESSION["bibliography"] == 4){
			$fact = new fact("readability", Array(new atom("awful")));
			$_SESSION["kb"]->add_fact($fact);
			$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
		}
	}
	for($x = 1; $x < 10; $x++){
		$string1 = "org" . $x;
		$string2 = "Org" . $x;
		if(isset($_POST[$string1])){
			$_SESSION[$string2] = $_POST[$string1];	
			if($_SESSION[$string2] == "yes"){
				$fact = new fact("org", Array(new atom($x), new atom("yes")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
			}
			else{
				$fact = new fact("org", Array(new atom($x), new atom("no")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
			}
		}	
	}
	for($x = 1; $x < 4; $x++){
		$string1 = "eng" . $x;
		$string2 = "Eng" . $x;
		if(isset($_POST[$string1])){
			$_SESSION[$string2] = $_POST[$string1];	
			if($_SESSION[$string2] == "yes"){
				$fact = new fact("eng", Array(new atom($x), new atom("yes")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
			}
			else{
				$fact = new fact("eng", Array(new atom($x), new atom("no")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
			}
		}	
	}
	for($x = 1; $x < 5; $x++){
		$string1 = "read" . $x;
		$string2 = "Read" . $x;
		if(isset($_POST[$string1])){
			$_SESSION[$string2] = $_POST[$string1];	
			if($_SESSION[$string2] == "yes"){
				$fact = new fact("read", Array(new atom($x), new atom("yes")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
			}
			else{
				$fact = new fact("read", Array(new atom($x), new atom("no")));
				$_SESSION["kb"]->add_fact($fact);
				$_SESSION["facts"]["presentationPageHandler.php"][] = $fact;	
			}
		}	
	}
}


?>